from turtle import *
from random import randint, choice

värvid = ["red", "blue", "green", "yellow", "pink", "violet"]

def joon(x1, y1, x2, y2, värv=None):
    if värv!=None:
        color(värv)
    pu()
    goto(x1, y1)
    pd()
    goto(x2, y2)
    pu()

def kiir(x, y, suund, pikkus):
    pu() ; goto(x, y); pd()
    seth(suund)
    fd(pikkus)
    pu()

def ristkülik(x, y, a, b, värv=None, täitmine=True):
    if värv!=None:
        color(värv)
    pu() ; goto(x, y); pd()
    if täitmine==True:
        begin_fill()
    goto(x+a, y)
    goto(x+a, y+b)
    goto(x, y+b)
    goto(x, y)
    if filling():
        end_fill()
    pu()

def ristkülik1(x, y, a, b, värv=None, täitmine=True):
    if värv!=None:
        color(värv)
    pu() ; goto(x, y); pd()
    if täitmine==True:
        begin_fill()
    for n in range(2):
        fd(a)
        left(90)
        fd(b)
        left(90)
    if filling():
        end_fill()
    pu()    

def ring(x, y, r, värv=None, täitmine=True):
    if värv!=None:
        color(värv)
    pu() ; goto(x, y-r); pd()
    seth(0)
    if täitmine==True:
        begin_fill()
    circle(r)
    if filling():
        end_fill()
    pu()

#-----------------------------------------------------------------------------

speed(0)

# ringid
r = 100
for vv in värvid:
    ring(0, 100, r, vv)
    r -= 10

#joonte joonistamise proov
joon(-200, -200, 200, 200)
for n in range(10):
    joon(randint(-400,400), randint(-400,400), randint(-400,400), randint(-400,400), choice(värvid))

#kiire joonistamise proov
kiir(0, 0, 0, 100)
kiir(0, 0, 45, 100)

color("red")
for nurk in range(0, 360, 30):
    kiir(100, 100, nurk, randint(30, 100))


ristkülik(-200, 50, 200, 100)

# tara1
for xx in range(-300, 300, 30):
    ristkülik(xx, -100, 20, 150, choice(värvid))

# tara2
xx = -300
while xx<300:
    ristkülik(xx, -300, 20, 150, choice(värvid))
    xx += randint(10,50)

seth(30)
ristkülik1(-150, 80, 200, 10, "pink")   
seth(-45)
ristkülik1(-150, 80, 200, 10)

# ringide proov
for n in range(10):
    ring(randint(-400,400), randint(-300, 300), randint(20, 100), choice(värvid))

#korrusmaja
ristkülik(-300, -300, 200, 500, "grey")
yy = -270
for korrus in range(7):
    xx = -280
    for aken in range(4):
        ristkülik(xx, yy, 30, 40, 'yellow')
        xx += 50
    yy += 60
